Itar Certification

The itar certification resource.

Basehttps://rest.carbon.ms/itarCertification
GET/itarCertification

List itar certifications

Retrieve a paginated list of itar certifications. Filter, order, and select columns with PostgREST query parameters.

Query parameters

selectstring

Comma-separated columns to return. Defaults to all.

orderstring

Column to sort by, e.g. `createdAt.desc`.

limitinteger

Maximum rows to return.

offsetinteger

Rows to skip, for pagination.

GEThttps://rest.carbon.ms/itarCertification
curl --request GET \
  --url 'https://rest.carbon.ms/itarCertification?select=*&limit=10' \
  --header 'Authorization: Bearer <api-key>'
Response
[
  {
    "id": "abc123def456",
    "companyId": "xyz789",
    "type": "string",
    "userId": "xyz789",
    "docVersion": "string",
    "docHash": "string",
    "fullLegalName": "string",
    "certifiedAt": "2026-01-01T00:00:00Z"
  }
]
GET/itarCertification

Retrieve a itar certification

Fetch a single itar certification by filtering on `id`.

Query parameters

idstring

Match on the itar certification's `id`, e.g. `eq.{id}`.

GEThttps://rest.carbon.ms/itarCertification
curl --request GET \
  --url 'https://rest.carbon.ms/itarCertification?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
Response
{
  "id": "abc123def456",
  "companyId": "xyz789",
  "type": "string",
  "userId": "xyz789",
  "docVersion": "string",
  "docHash": "string",
  "fullLegalName": "string",
  "certifiedAt": "2026-01-01T00:00:00Z"
}
POST/itarCertification

Create a itar certification

Create a new itar certification.

Body parameters

typestringrequired
userIdstringrequired

References user.id

docVersionstringrequired
docHashstringrequired
fullLegalNamestringrequired
titlestring
complianceContactstring
certifiedAttimestamprequired
ipAddressstring
userAgentstring
expiresAttimestamprequired
POSThttps://rest.carbon.ms/itarCertification
curl --request POST \
  --url https://rest.carbon.ms/itarCertification \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"type":"string","userId":"xyz789","docVersion":"string","docHash":"string","fullLegalName":"string","certifiedAt":"2026-01-01T00:00:00Z","expiresAt":"2026-01-01T00:00:00Z"}'
Response
{
  "id": "abc123def456",
  "companyId": "xyz789",
  "type": "string",
  "userId": "xyz789",
  "docVersion": "string",
  "docHash": "string",
  "fullLegalName": "string",
  "certifiedAt": "2026-01-01T00:00:00Z"
}
PATCH/itarCertification

Update a itar certification

Update an existing itar certification, matched on `id`.

Body parameters

typestringrequired
userIdstringrequired

References user.id

docVersionstringrequired
docHashstringrequired
fullLegalNamestringrequired
titlestring
complianceContactstring
certifiedAttimestamprequired
ipAddressstring
userAgentstring
expiresAttimestamprequired
PATCHhttps://rest.carbon.ms/itarCertification
curl --request PATCH \
  --url 'https://rest.carbon.ms/itarCertification?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"type":"string"}'
Response
{
  "id": "abc123def456",
  "companyId": "xyz789",
  "type": "string",
  "userId": "xyz789",
  "docVersion": "string",
  "docHash": "string",
  "fullLegalName": "string",
  "certifiedAt": "2026-01-01T00:00:00Z"
}
DELETE/itarCertification

Delete a itar certification

Delete a itar certification, matched on `id`. Returns 204 No Content.

Query parameters

idstring

The `id` of the itar certification to delete, e.g. `eq.{id}`.

DELETEhttps://rest.carbon.ms/itarCertification
curl --request DELETE \
  --url 'https://rest.carbon.ms/itarCertification?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
204 No Content